package scala.maven;


/**
 * Run a Scala class using the Scala runtime
 *
 * @goal run
 * @requiresDependencyResolution runtime
 * @execute phase="compile"
 */
public class ScalaRunMojo extends ScalaMojoSupport {

    /**
     * @parameter expression="${mainClass}"
     * @required
     */
    protected String mainClass;

    @Override
    @SuppressWarnings("unchecked")
    protected void doExecute() throws Exception {
        JavaCommand jcmd = new JavaCommand(this, mainClass, JavaCommand.toMultiPath(project.getRuntimeClasspathElements()), jvmArgs, args);
        jcmd.run(displayCmd);
    }
}
