package scala.maven;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.maven.plugin.logging.Log;
import org.codehaus.plexus.util.IOUtil;

public class StreamReader extends Thread {

    private InputStream in_;
    private Log log_;
    private boolean isErr_;

    public StreamReader(InputStream in, Log log, boolean isErr) {
        in_ = in;
        log_ = log;
        isErr_ = isErr;
    }

    @Override
    public void run() {
        BufferedReader reader = null;
        try {
            reader = new BufferedReader(new InputStreamReader(in_));
            String line = null;
            while ((line = reader.readLine()) != null) {
                if (isErr_) {
                    log_.warn(line);
                } else {
                    log_.info(line);
                }
            }
        } catch(IOException exc) {
            throw new RuntimeException("wrap: " + exc.getMessage(), exc);
        } finally {
            IOUtil.close(reader);
            IOUtil.close(in_);
        }
    }
}
